跳转到正文
皓量云擎文档
接口参考裸金属

查看可分配的物理主机

GET /api/v1/baremetal/candidates,listBaremetalCandidates 的请求参数和响应结构。

GET /api/v1/baremetal/candidates

项目内容
操作标识listBaremetalCandidates
认证登录会话 Cookie

响应

HTTP 状态含义
200成功
400请求失败
401请求失败
403请求失败
404请求失败
409请求失败
503请求失败
default请求失败
200 · application/json 响应结构
字段类型必填说明与约束
dataMetalCandidate[]是—
request_idstring是—
{
  "$ref": "#/$defs/MetalCandidateListResponse",
  "$defs": {
    "MetalCandidateListResponse": {
      "type": "object",
      "required": [
        "data",
        "request_id"
      ],
      "properties": {
        "data": {
          "type": "array",
          "items": {
            "$ref": "#/$defs/MetalCandidate"
          }
        },
        "request_id": {
          "type": "string"
        }
      }
    },
    "MetalCandidate": {
      "type": "object",
      "required": [
        "id",
        "name",
        "availability_zone_id",
        "boot_mode",
        "resource_class",
        "properties",
        "root_device",
        "ports"
      ],
      "properties": {
        "id": {
          "type": "string",
          "format": "uuid"
        },
        "name": {
          "type": "string",
          "maxLength": 64
        },
        "availability_zone_id": {
          "type": "string",
          "format": "uuid"
        },
        "boot_mode": {
          "type": "string",
          "enum": [
            "uefi",
            "bios"
          ]
        },
        "resource_class": {
          "type": "string"
        },
        "properties": {
          "$ref": "#/$defs/MetalHardware"
        },
        "root_device": {
          "$ref": "#/$defs/MetalRootDevice"
        },
        "ports": {
          "type": "array",
          "items": {
            "$ref": "#/$defs/MetalPort"
          }
        }
      },
      "additionalProperties": false
    },
    "MetalHardware": {
      "type": "object",
      "properties": {
        "architecture": {
          "type": "string"
        },
        "vcpus": {
          "type": "integer"
        },
        "memory_mib": {
          "type": "integer"
        },
        "model": {
          "type": "string"
        },
        "serial": {
          "type": "string"
        },
        "system_uuid": {
          "type": "string"
        },
        "disks": {
          "type": "array",
          "items": {
            "$ref": "#/$defs/MetalDisk"
          }
        }
      },
      "required": [
        "architecture",
        "vcpus",
        "memory_mib",
        "model",
        "serial",
        "system_uuid",
        "disks"
      ],
      "additionalProperties": false
    },
    "MetalDisk": {
      "type": "object",
      "properties": {
        "name": {
          "type": "string"
        },
        "serial": {
          "type": "string"
        },
        "wwn": {
          "type": "string"
        },
        "size_bytes": {
          "type": "integer"
        },
        "model": {
          "type": "string"
        }
      },
      "required": [
        "name",
        "serial",
        "wwn",
        "size_bytes",
        "model"
      ],
      "additionalProperties": false
    },
    "MetalRootDevice": {
      "type": "object",
      "properties": {
        "serial": {
          "type": "string"
        },
        "wwn": {
          "type": "string"
        }
      },
      "required": [
        "serial",
        "wwn"
      ],
      "additionalProperties": false
    },
    "MetalPort": {
      "type": "object",
      "properties": {
        "id": {
          "type": "string",
          "format": "uuid"
        },
        "name": {
          "type": "string"
        },
        "mac": {
          "type": "string"
        },
        "pxe_enabled": {
          "type": "boolean"
        },
        "switch_port": {
          "type": "string"
        },
        "vlan_id": {
          "type": "integer"
        }
      },
      "required": [
        "name",
        "mac",
        "pxe_enabled",
        "switch_port"
      ],
      "additionalProperties": false
    }
  }
}
400 / 401 / 403 / 404 / 409 / 503 / default · application/json 响应结构
{
  "$ref": "#/$defs/ErrorResponse",
  "$defs": {
    "ErrorResponse": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "error": {
          "$ref": "#/$defs/ErrorDetail"
        },
        "request_id": {
          "type": "string"
        }
      },
      "required": [
        "error",
        "request_id"
      ]
    },
    "ErrorDetail": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "code": {
          "type": "string",
          "enum": [
            "NOT_IMPLEMENTED",
            "NOT_FOUND",
            "AUTH_REQUIRED",
            "FORBIDDEN",
            "VALIDATION_FAILED",
            "CONFLICT",
            "SERVICE_UNAVAILABLE",
            "INTERNAL_ERROR",
            "RATE_LIMITED"
          ]
        },
        "message": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "fields": {
          "type": "object",
          "additionalProperties": {
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        }
      },
      "required": [
        "code",
        "message",
        "retryable"
      ]
    }
  }
}

响应中的 request_id 用于排查请求;异步操作以任务最终状态为准。参阅调用约定、异步任务和错误处理。

本页由版本化 OpenAPI 契约生成。通用资源响应允许的任意字段以运行服务为准,不据此推断尚未定义的字段。

本页目录